import React from 'react';
import { BoxOwnProps } from "./Box.js";
import { Assign, ForwardRef } from "./types.js";
export interface CheckboxProps extends Assign<React.ComponentPropsWithRef<'input'>, BoxOwnProps> {
}
/**
 * Form checkbox input component
 *
 * Checkbox variants can be defined in `theme.forms` and the
 * component uses the `theme.forms.checkbox` variant by default.
 * @see https://theme-ui.com/components/checkbox/
 */
export declare const Checkbox: ForwardRef<HTMLInputElement, CheckboxProps>;
