import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface DonutProps extends Assign<Omit<React.ComponentPropsWithRef<'svg'>, 'opacity' | 'color' | 'css' | 'sx' | 'max' | 'min'>, BoxOwnProps> {
    value: number;
    min?: number;
    max?: number;
    title?: string;
    size?: string | number;
}
/**
 * Single value SVG donut chart
 * @see https://theme-ui.com/components/donut/
 */
export declare const Donut: ForwardRef<SVGSVGElement, DonutProps>;
