import React from 'react';
import { BoxOwnProps } from "./Box.js";
import { Assign, ForwardRef } from "./types.js";
export interface EmbedProps extends Assign<React.ComponentPropsWithRef<'iframe'>, BoxOwnProps> {
    variant?: string;
    ratio?: number;
    src?: React.IframeHTMLAttributes<any>['src'];
    frameBorder?: React.IframeHTMLAttributes<any>['frameBorder'];
    allowFullScreen?: React.IframeHTMLAttributes<any>['allowFullScreen'];
    allow?: React.IframeHTMLAttributes<any>['allow'];
}
/**
 * Responsive iframe for video embeds.
 *
 * Embed variants can be defined anywhere in the theme object.
 *
 * @see https://theme-ui.com/components/embed
 */
export declare const Embed: ForwardRef<HTMLIFrameElement, EmbedProps>;
