import type { ResponsiveStyleValue } from '@theme-ui/css';
import { BoxProps } from "./Box.js";
import type { ForwardRef } from "./types.js";
export interface GridProps extends BoxProps {
    /**
     * Minimum width of child elements
     */
    width?: ResponsiveStyleValue<string | number>;
    /**
     * 	Number of columns to use for the layout (cannot be used in conjunction with the width prop)
     */
    columns?: ResponsiveStyleValue<string | number>;
    /**
     * Space between child elements
     */
    gap?: ResponsiveStyleValue<string | number>;
    /**
     * Auto-repeat track behaviour (default is fit)
     */
    repeat?: 'fit' | 'fill';
}
/**
 * CSS grid layout component to arrange direct child elements in a tiled grid layout.
 * @see https://theme-ui.com/components/grid
 */
export declare const Grid: ForwardRef<HTMLDivElement, GridProps>;
