import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface IconButtonProps extends Assign<React.ComponentPropsWithRef<'button'>, BoxOwnProps> {
    size?: number | string;
}
/**
 * Transparent button for SVG icons
 *
 * IconButton variants can be defined in the `theme.buttons` object.
 * By default the IconButton component will use styles defined in `theme.buttons.icon`.
 *
 * @see https://theme-ui.com/components/icon-button
 */
export declare const IconButton: ForwardRef<HTMLButtonElement, IconButtonProps>;
