import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface InputProps extends Assign<React.ComponentPropsWithRef<'input'>, BoxOwnProps> {
    autofillBackgroundColor?: string;
}
/**
 * Input variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.input` variant by default.
 * @see https://theme-ui.com/components/input/
 */
export declare const Input: ForwardRef<HTMLInputElement, InputProps>;
