import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface LinkProps extends Assign<React.ComponentPropsWithRef<'a'>, BoxOwnProps> {
}
/**
 * Link variants can be defined in the `theme.links` object.
 * By default the Link component will use styles defined in `theme.styles.a`.
 * @see https://theme-ui.com/components/link
 */
export declare const Link: ForwardRef<HTMLAnchorElement, LinkProps>;
