import React from 'react';
import { IconButtonProps } from "./IconButton.js";
import type { ForwardRef } from "./types.js";
export declare const MenuIcon: ({ size }: {
    size?: number | undefined;
}) => React.JSX.Element;
export type MenuButtonProps = IconButtonProps;
/**
 * MenuButton variants can be defined in the `theme.buttons` object.
 * By default the MenuButton component will use styles defined in `theme.buttons.menu`.
 *
 * @see https://theme-ui.com/components/menu-button
 */
export declare const MenuButton: ForwardRef<HTMLButtonElement, MenuButtonProps>;
