import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface ParagraphProps extends Assign<React.ComponentPropsWithRef<'p'>, BoxOwnProps> {
}
/**
 * Primitive typographic component.
 *
 * Text style variants can be defined in the theme.text object.
 * The Paragraph component uses theme.text.paragraph as its default variant style.
 * @see https://theme-ui.com/components/paragraph
 */
export declare const Paragraph: ForwardRef<HTMLParagraphElement, ParagraphProps>;
