import React from 'react';
import { BoxOwnProps } from "./Box.js";
import { Assign, ForwardRef } from "./types.js";
export interface SelectProps extends Assign<React.ComponentPropsWithRef<'select'>, BoxOwnProps> {
    arrow?: React.ReactElement;
}
/**
 * Select variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.select` variant by default.
 * @see https://theme-ui.com/components/select/
 */
export declare const Select: ForwardRef<HTMLSelectElement, SelectProps>;
