import React from 'react';
import { BoxOwnProps } from "./Box.js";
import { Assign, ForwardRef } from "./types.js";
export interface SliderProps extends Assign<React.ComponentPropsWithRef<'input'>, BoxOwnProps> {
}
/**
 * Range input element
 *
 * Slider variants can be defined in the `theme.forms` object.
 * The Slider component uses `theme.forms.slider` as its default variant style.
 * @see https://theme-ui.com/components/slider/
 */
export declare const Slider: ForwardRef<HTMLInputElement, SliderProps>;
