import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface SwitchProps extends Assign<React.ComponentPropsWithRef<'input'>, BoxOwnProps> {
    label?: string;
}
/**
 * Form switch component
 *
 * Switch variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.switch` variant by default.
 */
export declare const Switch: ForwardRef<HTMLInputElement, SwitchProps>;
