import React from 'react';
import { BoxOwnProps } from "./Box.js";
import type { Assign, ForwardRef } from "./types.js";
export interface TextareaProps extends Assign<React.ComponentPropsWithRef<'textarea'>, BoxOwnProps> {
}
/**
 * Form textarea component
 *
 * Textarea variants can be defined in `theme.forms`
 * and the component uses the `theme.forms.textarea` variant by default.
 * @see https://theme-ui.com/components/textarea/
 */
export declare const Textarea: ForwardRef<HTMLTextAreaElement, TextareaProps>;
